This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1301870 - [devexp_public_430]Need update help doc of new-build cmd
[devexp_public_430]Need update help doc of new-build cmd
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
3.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Ben Parees
Wei Sun
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-26 03:55 EST by XiuJuan Wang
Modified: 2016-05-12 13:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 13:09:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description XiuJuan Wang 2016-01-26 03:55:03 EST
Description of problem:
Should be --source-image and --source-image-path in new-build help doc.And in [destination-dir] /tmp should be a reletive path like tmp/
 # Create a build config that gets its input from a remote repository and another Docker image
  $ oc new-build https://github.com/openshift/ruby-hello-world --image-source=openshift/jenkins-1-centos7 --image-source-path=/var/lib/jenkins:/tmp


Version-Release number of selected component (if applicable):
devenv-rhel7_3237
oc v1.1.1-155-ga3dd1f0
kubernetes v1.1.0-origin-1107-g4c8e6f4


How reproducible:
always

Steps to Reproduce:
1.oc new-build -h
2.
3.

Actual results:
As description.

Expected results:
Should updated examples in new-build help doc.

Additional info:
Comment 1 Ben Parees 2016-01-27 08:05:47 EST
fix: https://github.com/openshift/origin/pull/6844
Comment 2 XiuJuan Wang 2016-01-27 21:52:02 EST
@Ben 
Also need update /var/lib/jenkins:/tmp to /var/lib/jenkins:tmp/
Comment 3 Ben Parees 2016-01-28 09:41:45 EST
https://github.com/openshift/origin/pull/6871
Comment 4 XiuJuan Wang 2016-01-28 22:05:37 EST
Test in devenv-rhel7_3273 with oc version(v1.1.1-277-gf45f63e)

# Create a build config that gets its input from a remote repository and another Docker image
  $ oc new-build https://github.com/openshift/ruby-hello-world --source-image=openshift/jenkins-1-centos7 --source-image-path=/var/lib/jenkins:tmp

Move bug to verified.

Note You need to log in before you can comment on or make changes to this bug.